
@margin : 32px;
@small-margin : 10px;
@border : 1px solid #3b1a00;
@font-title : 'raleway';
@font-body : 'raleway';


.focusVisible() {
    &:focus {
        outline: none;
    }
    &:focus-visible {
        outline: 2px solid @textColor;
    }
}

.focusWithin() {
    &:focus-within {
        outline: 2px solid @textColor;
    }
    *:focus,
    *:focus-visible {
        outline: none;
    }
}


.no-shadow() {
    -webkit-box-shadow: initial;
    -moz-box-shadow: initial;
    box-shadow: initial;
}



//////

@fwBlack: 900;
@fwExtraBold: 800;
@fwBold: 700;
@fwSemiBold: 600;
@fwRegular: 400;
@fwThin: 300;
@fwLight: 200;
@fwExtraLight: @fwLight;


// PERSP CHARTE COLORS

////// COLOR COLLECTION

// @black: rgb(0, 0, 0);

@white: #fff; // background base & inputs


@terraExtraLight: #F0D0C8; 
@terraLight: #d53e2a; // active txt & elements
@terraMedium: rgb(163, 034, 003); 
@terraDark: #562821; 

@greyDark: #9A9A9A ; 
@greyMedium: #e1e1e1; 
@greyLight: rgb(238, 238, 238);
@greyExtraLight: rgb(247, 247, 247); // background block

@blue : #13BBEE;
@blueDark : #508197;
@blueLight : #F0F3F6;

@yellow: #FDC300;
@yellowDark: #987A15;
@yellowLight: #F7EFDB;

@red: #E7334C;
@redDark: #A12634;
@redLight: #F6E8E5;

@slate: #95A4A4;
@slateDark: #717D7C;
@slateLight: #F2F4F4;

@purple:#9D75B2;
@purpleDark:#71537D;
@purpleLight:#EEE9F1;

@green:#73B958;
@greenDark:#457437;
@greenLight:#EBF0E9;

// quick hacks to compile client/solar
@grey: @greyMedium;

//////
////// COLORS & USES
//////

@bodyBgColor: @white;
// @textColor: #0e3b58;
@textColor: @terraDark;
@textColorLight: @greyDark;

////// Interactive elements

// @interactiveColorHover: @red;
// @inactiveHoverColor: @greyDark;
@warningColor: @yellow;

@activeColor: @terraLight;
@activeColorHover: @terraMedium;
@activeColorPressed: @terraDark;

@inactiveColor: @greyDark;
@disabledColor: @greyMedium;

///////  BACKGROUNDS COLORS

@bgLightColor: @greyExtraLight;
@bgMediumColor: @greyDark;
@bgDarkColor: @greyLight;
@bgActiveColor: @yellow;

// @widget-background : @greyLight;
// @widget-background-hover : @greyDark;
// @widget-background-active : @greyLight;

////// Map background

@mapBgColor: @white;

////// Links

@linkColor: @textColor;
@linkColorHover: @activeColor;
@linkDecorationColor: @greyDark;

////// Borders

@borderDarkColor: @textColor;
@borderLightColor: @greyDark;
@borderExtraLightColor: @greyLight;

////// Inputs

@inputBorderColor: @greyDark;
@inputBgColor: @white;
@inputPlaceholderColor: @greyDark;

@editable: @greyLight;

////// Table

@tableRowActiveColor: @greyDark;
@tableRowHoverColor: @greyDark;
@tableTextSelectColor: @activeColor;

////// Loader

@loaderColor: @greyDark;
